=== debian/control ===
Source: wordnet
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Dmitry E. Oboukhov <unera@debian.org>
Section: text
Priority: optional
Build-Depends: debhelper-compat (= 9),
               tk8.6-dev,
               tcl8.6-dev,
               libxaw7-dev,
               flex,
               dictzip,
               python3:any,
               groff,
               bison,
               man-db,
               libxss-dev,
               libxft-dev,
               ghostscript,
               ruby
Rules-Requires-Root: no
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/wordnet
Vcs-Git: https://salsa.debian.org/science-team/wordnet.git
Homepage: http://wordnet.princeton.edu/

Package: wordnet
Architecture: any
Depends: wordnet-base (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: wordnet-gui | artha
Description: electronic lexical database of English language
 WordNet(C) is an on-line lexical reference system whose design is
 inspired by current psycholinguistic theories of human lexical
 memory. English nouns, verbs, adjectives and adverbs are organized
 into synonym sets, each representing one underlying lexical
 concept. Different relations link the synonym sets.
 .
 WordNet was developed by the Cognitive Science Laboratory at Princeton
 University under the direction of Professor George A. Miller (Principal
 Investigator).
 .
 WordNet is considered to be the most important resource available to
 researchers in computational linguistics, text analysis, and many
 related areas.
 .
 Binary and manpages of WordNet as well as general manpages.

Package: wordnet-gui
Architecture: any
Depends: wordnet (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: electronic lexical database of English language (GUI)
 WordNet(C) is an on-line lexical reference system whose design is
 inspired by current psycholinguistic theories of human lexical
 memory. English nouns, verbs, adjectives and adverbs are organized
 into synonym sets, each representing one underlying lexical
 concept. Different relations link the synonym sets.
 .
 WordNet was developed by the Cognitive Science Laboratory at Princeton
 University under the direction of Professor George A. Miller (Principal
 Investigator).
 .
 WordNet is considered to be the most important resource available to
 researchers in computational linguistics, text analysis, and many
 related areas.
 .
 This package contains a Tcl/Tk Gui to browse wordnet dictionary.

Package: wordnet-dev
Architecture: any
Section: devel
Depends: wordnet (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: wordnet (<< 1:3.0-30~)
Replaces: wordnet (<< 1:3.0-30~)
Description: electronic lexical database of English language (devel)
 WordNet(C) is an on-line lexical reference system whose design is
 inspired by current psycholinguistic theories of human lexical
 memory. English nouns, verbs, adjectives and adverbs are organized
 into synonym sets, each representing one underlying lexical
 concept. Different relations link the synonym sets.
 .
 WordNet was developed by the Cognitive Science Laboratory at Princeton
 University under the direction of Professor George A. Miller (Principal
 Investigator).
 .
 Header files and library as well as manpages for section 3 (development).

Package: wordnet-base
Architecture: all
Depends: ${misc:Depends}
Recommends: wordnet
Multi-Arch: foreign
Description: electronic lexical database of English language (base data)
 WordNet(C) is an on-line lexical reference system whose design is
 inspired by current psycholinguistic theories of human lexical
 memory. English nouns, verbs, adjectives and adverbs are organized
 into synonym sets, each representing one underlying lexical
 concept. Different relations link the synonym sets.
 .
 WordNet was developed by the Cognitive Science Laboratory at Princeton
 University under the direction of Professor George A. Miller (Principal
 Investigator).
 .
 Dictionary data and manuals which describe them.

Package: wordnet-sense-index
Architecture: all
Depends: ${misc:Depends}
Recommends: wordnet
Multi-Arch: foreign
Description: electronic lexical database of English language (index)
 WordNet(C) is an on-line lexical reference system whose design is
 inspired by current psycholinguistic theories of human lexical
 memory. English nouns, verbs, adjectives and adverbs are organized
 into synonym sets, each representing one underlying lexical
 concept. Different relations link the synonym sets.
 .
 WordNet was developed by the Cognitive Science Laboratory at Princeton
 University under the direction of Professor George A. Miller (Principal
 Investigator).
 .
 This package contains a large database index.sense which is not
 necessary for normal operation of the wordnet package but is useful
 when using the WordNet::QueryData module which is available at
 http://search.cpan.org/dist/WordNet-QueryData/ .

Package: wordnet-grind
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: wordnet
Description: WordNet lexicographer files processor
 WordNet(C) is an on-line lexical reference system whose design is
 inspired by current psycholinguistic theories of human lexical
 memory. English nouns, verbs, adjectives and adverbs are organized
 into synonym sets, each representing one underlying lexical
 concept. Different relations link the synonym sets.
 .
 WordNet was developed by the Cognitive Science Laboratory at Princeton
 University under the direction of Professor George A. Miller (Principal
 Investigator).
 .
 This package contains the grind processor for WordNet lexicographer
 files.  It can be used to process the lexicographer files from the
 Debian  source tarball into a WordNet binary database file or other
 lexicographer filese provided by the user.

Package: dict-wn
Architecture: all
Depends: ${misc:Depends}
Recommends: dictd | dict-server
Suggests: dict-gcide
Provides: dictd-dictionary
Description: electronic lexical database of English language for dict
 WordNet(C) is an on-line lexical reference system whose design is
 inspired by current psycholinguistic theories of human lexical
 memory. English nouns, verbs, adjectives and adverbs are organized
 into synonym sets, each representing one underlying lexical
 concept. Different relations link the synonym sets.
 .
 WordNet was developed by the Cognitive Science Laboratory at Princeton
 University under the direction of Professor George A. Miller (Principal
 Investigator).
 .
 This package will be of limited use without the server found in the
 dictd package.

Package: goldendict-wordnet
Architecture: all
Depends: ${misc:Depends}
Recommends: goldendict
Multi-Arch: foreign
Description: electronic lexical database of English language (goldendict)
 WordNet(C) is an on-line lexical reference system whose design is
 inspired by current psycholinguistic theories of human lexical
 memory. English nouns, verbs, adjectives and adverbs are organized
 into synonym sets, each representing one underlying lexical
 concept. Different relations link the synonym sets.
 .
 WordNet was developed by the Cognitive Science Laboratory at Princeton
 University under the direction of Professor George A. Miller (Principal
 Investigator).
 .
 This package contains an adaptation wordnet database for such dictionaries
 as goldendict.
