=== debian/watch ===
version=3

#http://wordnet.princeton.edu/wordnet/download/ \
http://wordnet.princeton.edu/wordnet/download/current-version/ \
	.*WordNet-(\d+(?:\.\d+){1,2}).tar.gz
